X
Tap here to go to the mobile version of the site.

Support Forum

can I upgrade version 12 to version 15?

Posted

I currently have Firefox browser version 12.0 but it says it is the latest version. However I can download version 15.

So why can't I upgrade? or do I have to download version 15 and somehow copy my bookmarks across?

I currently have Firefox browser version 12.0 but it says it is the latest version. However I can download version 15. So why can't I upgrade? or do I have to download version 15 and somehow copy my bookmarks across?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.4 r402
  • Displays Java applet content, or a placeholder if Java is not installed.
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Vividas Player Plugin allows viewing of Vividas media, live streams and playlists
  • D'Fusion Web Plug-In (3.10.17865.0)
  • D'Fusion Web Plug-In for Safari 64 bits (3.10.17865.0)
  • The Google Earth Plugin allows you to view 3D imagery and terrain in your web browser.
  • DivX Web Player version 2.1.1.94
  • DivX OVS Helper Plug-in
  • RealPlayer Plugin

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:12.0) Gecko/20100101 Firefox/12.0

More Information

Swarnava Sengupta 480 solutions 3192 answers

Helpful Reply

Get latest version of Firefox from here

Follow How to download and install Firefox on Mac for more info!

Get latest version of Firefox from here * getfirefox.com Follow [[Install Firefox on Mac]] for more info!
ehart13169 0 solutions 2 answers

Not sure if you're still looking for an answer, but it sounds like you need to upgrade Windows....Firefox 12 is the latest version that supports Windows 2000 and Windows XP SP1.

Not sure if you're still looking for an answer, but it sounds like you need to upgrade Windows....Firefox 12 is the latest version that supports Windows 2000 and Windows XP SP1.
James
  • Top 25 Contributor
  • Moderator
641 solutions 4803 answers

ehart13169, the OP is using Mac OSX 10.8 as per the System Details on right of post.

'''ehart13169''', the OP is using Mac OSX 10.8 as per the System Details on right of post.
ehart13169 0 solutions 2 answers

Sorry, I missed that part...oops.  :)

Sorry, I missed that part...oops. :)